Bug 74051 - Does not work when installed with an umask of 077 and messes filesystem
Does not work when installed with an umask of 077 and messes filesystem
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: pam_smb (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
http://www.tu-chemnitz.de/~ensc/dirch...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 16:36 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:14:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 16:36:03 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
the package.

Another problem occurs when removing the package because orphaned
directories will remaining.


| $ rpm -qf /lib/security /lib/security/pam_smb_auth.so
| file /lib/security is not owned by any package
| pam_smb-1.1.6-5

(Please visit the given URL for a complete list of affected directories)


Version-Release number of selected component (if applicable):

pam_smb-1.1.6-5


How Reproducible: 100%


Steps to Reproduce:
0. make a minimal installation
1. umask 077
2. make sure that pam_smb is uninstalled completely
   (rm -rf /lib/security)
3. rpm -U pam_smb-1.1.6-5.i386.rpm
4. ls -l /lib/security
5. try to use the programs/scripts/libraries/data of the package as
   non-root user
6. rpm -e pam_smb-1.1.6-5


Actual Results:

* at 4:
  | drwx------    2 root     root         4096 Sep 13 22:28 /lib/security
* files can not be found/read at 5 and
* /lib/security still exists after 6.
Comment 1 Bill Nottingham 2006-08-07 15:55:38 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 13:14:04 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.